setblock ~-1 ~6 ~0 air
setblock ~-1 ~6 ~0 oak_wall_sign[facing=west]{Text2: '{"bold": true, "italic": true, "text": "Maps"}'}
kill @e[tag=maps_anchor]
summon text_display ~0 ~2 ~0 {Rotation: [270.0f, 0.0f], shadow_radius: 0, Tags: [maps_anchor, anchor]}
execute positioned ~5 ~2 ~0 run kill @e[type=item_frame, tag=label, sort=nearest, distance=..1, limit=1]
summon item_frame ~5 ~2 ~0 {Facing: 1, Fixed: true, Invisible: true, Item: {Count: 1, id: stone_button, tag: {display: {Name: '{"text": "Reset Room"}'}}}, Tags: [label]}
setblock ~5 ~2 ~0 stone_button[facing=west, face=floor]
setblock ~5 ~1 ~0 orange_concrete
setblock ~5 ~0 ~0 air
setblock ~5 ~0 ~0 command_block{Command: "function restworld:maps/_init"}
summon item_frame ~3 ~4 ~-3 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 3, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Biomes (top)"}'}, map: 26}}, NoAI: true, PersistenceRequired: true, Rotation: [0.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
summon item_frame ~3 ~3 ~-3 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 3, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Biomes (bot)"}'}, map: 28}}, NoAI: true, PersistenceRequired: true, Rotation: [0.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
setblock ~4 ~3 ~-3 air
setblock ~4 ~3 ~-3 oak_wall_sign[facing=south]{Text1: '{"clickEvent": {"action": "run_command", "value": "/south"}, "text": ""}', Text2: '"Biome"', Text3: '"Sampler"'}
summon item_frame ~6 ~4 ~-3 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 3, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Battle Arena"}'}, map: 23}}, NoAI: true, PersistenceRequired: true, Rotation: [0.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
setblock ~7 ~3 ~-3 air
setblock ~7 ~3 ~-3 oak_wall_sign[facing=south]{Text1: '{"clickEvent": {"action": "run_command", "value": "/south"}, "text": ""}', Text2: '"Battle"', Text3: '"Arena"'}
kill @e[tag=map_label]
summon item_frame ~8 ~5 ~0 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 4, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Main (top)"}'}, map: 18}}, NoAI: true, PersistenceRequired: true, Rotation: [90.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
summon item_frame ~8 ~4 ~-1 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 4, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Main (left)"}'}, map: 124}}, NoAI: true, PersistenceRequired: true, Rotation: [90.0f, 0.0f], Silent: true, Tags: [map_banner_frame, maps, item_frame, adult]}
summon item_frame ~8 ~4 ~0 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 4, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Main (center)"}'}, map: 14}}, NoAI: true, PersistenceRequired: true, Rotation: [90.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
summon item_frame ~8 ~4 ~1 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 4, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Main (right)"}'}, map: 133}}, NoAI: true, PersistenceRequired: true, Rotation: [90.0f, 0.0f], Silent: true, Tags: [map_icon_frame, maps, item_frame, adult]}
summon item_frame ~8 ~3 ~0 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 4, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Main (bot)"}'}, map: 20}}, NoAI: true, PersistenceRequired: true, Rotation: [90.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
setblock ~8 ~3 ~1 air
setblock ~8 ~3 ~1 oak_wall_sign[facing=west]{Text2: '"Center"', Text3: '"Area"'}
schedule function restworld:maps/set_map_icons 1s replace
summon item_frame ~6 ~4 ~3 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 2, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Optifine"}'}, map: 32}}, NoAI: true, PersistenceRequired: true, Rotation: [180.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
setblock ~5 ~3 ~3 air
setblock ~5 ~3 ~3 oak_wall_sign[facing=north]{Text1: '{"clickEvent": {"action": "run_command", "value": "/north"}, "text": "Optifine"}', Text2: '"Connected"', Text3: '"Textures,"', Text4: '"Mob Textures"'}
summon item_frame ~3 ~4 ~3 {CustomName: '"Item Frame"', CustomNameVisible: false, Facing: 2, Fixed: true, Item: {Count: 1, id: "minecraft:filled_map", tag: {display: {Name: '{"text": "Photo"}'}, map: 22}}, NoAI: true, PersistenceRequired: true, Rotation: [180.0f, 0.0f], Silent: true, Tags: [maps, item_frame, adult]}
setblock ~2 ~3 ~3 air
setblock ~2 ~3 ~3 oak_wall_sign[facing=north]{Text1: '{"clickEvent": {"action": "run_command", "value": "/north"}, "text": ""}', Text2: '"Photo"', Text3: '"Area"'}
setblock ~8 ~2 ~2 cartography_table
execute at @e[tag=map_banner_frame] run summon text_display ~-0.04 ~0.2 ~-0.11 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_banner_label], text: '{"text": "Banner icons"}', transformation: {scale: [0.2f, 0.2f, 0.2f]}}
execute at @e[tag=map_banner_frame] run execute as @e[tag=map_label, tag=map_banner_label] run data merge entity @s {transformation: {scale: [0.2f, 0.2f, 0.2f]}}
execute at @e[tag=map_icon_frame] run summon text_display ~-0.04 ~-0.2 ~0.0 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_label_0], text: '{"text": "Target X"}', transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run execute as @e[tag=map_label, tag=map_label_0] run data merge entity @s {transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run summon text_display ~-0.04 ~-0.075 ~-0.312 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_label_1], text: '{"text": "Target Point"}', transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run execute as @e[tag=map_label, tag=map_label_1] run data merge entity @s {transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run summon text_display ~-0.04 ~0.05 ~0.0 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_label_2], text: '{"text": "Mansion"}', transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run execute as @e[tag=map_label, tag=map_label_2] run data merge entity @s {transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run summon text_display ~-0.04 ~0.175 ~-0.312 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_label_3], text: '{"text": "Monument"}', transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run execute as @e[tag=map_label, tag=map_label_3] run data merge entity @s {transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run summon text_display ~-0.04 ~0.3 ~0.0 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_label_4], text: '{"text": "Red X"}', transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run execute as @e[tag=map_label, tag=map_label_4] run data merge entity @s {transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run summon text_display ~-0.04 ~0 ~-0.42 {background: 0, Facing: 4, Rotation: [90.0f, 0.0f], shadow_radius: 0, Tags: [map_label, map_label_5], text: '{"text": "Frame"}', transformation: {scale: [0.1f, 0.1f, 0.1f]}}
execute at @e[tag=map_icon_frame] run execute as @e[tag=map_label, tag=map_label_5] run data merge entity @s {transformation: {scale: [0.1f, 0.1f, 0.1f]}}
# __internal_load: {"type": "Function", "name": "maps_room_init", "base_name": "maps_room_init"}
